import ij.Prefs;
import ij.gui.GenericDialog;
import ij.plugin.PlugIn;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.Panel;

public class TJ_Options implements PlugIn {

    static boolean adopt = Prefs.get("tj.adopt",true);
    static boolean asksave = Prefs.get("tj.asksave",false);
    static boolean debug = Prefs.get("tj.debug",false);

    public void run(String arg) {

	if (!TJ.libcheck()) return;

	TJ.debug(TJ.name()+" "+TJ.version()+": Options");

	GenericDialog gd = new GenericDialog(TJ.name()+": Options");
	gd.addCheckbox(" Adopt brightness/contrast from input images   ",adopt);
	gd.addCheckbox(" Save result images before closing    ",asksave);
	gd.addCheckbox(" Debug messenging    ",debug);
	gd.addPanel(new Panel(),GridBagConstraints.EAST,new Insets(0,0,0,0));
	gd.showDialog();

	if (gd.wasCanceled()) return;

	adopt = gd.getNextBoolean();
	asksave = gd.getNextBoolean();
	debug = gd.getNextBoolean();

	Prefs.set("tj.adopt",adopt);
	Prefs.set("tj.asksave",asksave);
	Prefs.set("tj.debug",debug);

	if (adopt) TJ.debug("Adopting brightness/contrast from input images");
	else TJ.debug("Setting brightness/contrast based on full output range");

	if (asksave) TJ.debug("Asking to save result images before closing");
	else TJ.debug("Closing result images without asking to save");

	if (debug) TJ.debug("Showing debug messages");
	else TJ.debug("Hiding debug messages");
    }

}
